1.1

1.1

get /v1/tagses/{tags_id}/vulnerabilities

Description

취약점 목록 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathtags_id
required
Tags ID
Example : b48210c7a226460fa15b6e3e221b30b0
stringNone
queryos_language
optional
OS 이름 또는 언어 이름
Example : Java
any of [string, null]None
querypackage_name
optional
패키지명
Example : com.example.sample
any of [string, null]None
querysort
optional
sort
Example : name:asc
any of [string, null]None
querypage
optional
page
Example : 0
any of [integer, null]None
querysize
optional
size
Example : 20
any of [integer, null]None
queryupdate_version_available
optional
수정 버전
Example : True
any of [boolean, null]None
queryseverity
optional
심각도
Example : High
any of [array[string], string, null]None
querycategory
optional
카테고리
Example : Language
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKVulnerabilityListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/tagses/{tags_id}/vulnerabilities

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scr 1.1"

Example HTTP response

Response 200

{
    "filtered_count": 30,
    "vector_info": {
        "attack_complexity": [
            {
                "description": "A Polymorphic Typing issue was discovered in FasterXML.",
                "level": "1",
                "metric": "Physical"
            }
        ],
        "attack_vector": [
            {
                "description": "A Polymorphic Typing issue was discovered in FasterXML.",
                "level": "1",
                "metric": "Physical"
            }
        ],
        "availability": [
            {
                "description": "A Polymorphic Typing issue was discovered in FasterXML.",
                "level": "1",
                "metric": "Physical"
            }
        ],
        "confidentiality": [
            {
                "description": "A Polymorphic Typing issue was discovered in FasterXML.",
                "level": "1",
                "metric": "Physical"
            }
        ],
        "integrity": [
            {
                "description": "A Polymorphic Typing issue was discovered in FasterXML.",
                "level": "1",
                "metric": "Physical"
            }
        ],
        "privileges_required": [
            {
                "description": "A Polymorphic Typing issue was discovered in FasterXML.",
                "level": "1",
                "metric": "Physical"
            }
        ],
        "scope": [
            {
                "description": "A Polymorphic Typing issue was discovered in FasterXML.",
                "level": "1",
                "metric": "Physical"
            }
        ],
        "user_interaction": [
            {
                "description": "A Polymorphic Typing issue was discovered in FasterXML.",
                "level": "1",
                "metric": "Physical"
            }
        ]
    },
    "vulnerability_report": {
        "cves": [
            {
                "category": "Language",
                "current_version": "2.9.9.1",
                "cve_code": "CVE-2019-1454",
                "description": "A Polymorphic Typing issue was discovered in FasterXML.",
                "links": "https://nvd.nist.gov/vuln/detail/CVE-2019-1454",
                "os_language": "Java",
                "package_name": "com.example.sample",
                "severity": "High",
                "update_version": "2.9.10, 2.8.11.5, 2.6.7.3",
                "vectors": {
                    "attack_complexity": "High",
                    "attack_vector": "NETWORK",
                    "availability": "High",
                    "base_severity": "",
                    "confidentiality": "High",
                    "cvss": 9.8,
                    "integrity": "High",
                    "privileges_required": "Low",
                    "scope": "",
                    "user_interaction": "Low"
                }
            }
        ],
        "last_scanned_at": "2024-08-16T16:06:09.701645823+09:00",
        "release_version": "alpine:3.14.10",
        "scan_summary": {
            "critical": 10,
            "high": 10,
            "low": 10,
            "medium": 10,
            "negligible": 10,
            "total_vulnerability": 60,
            "unknown": 10
        }
    }
}